package domain


type AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto struct {
    /*
        退款原因id     */
    ReasonId  *int64 `json:"reason_id,omitempty" `

    /*
        渠道订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        商家经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        请求唯一键     */
    RequestId  *string `json:"request_id,omitempty" `

    /*
        申请退款的子订单ID列表     */
    OutSubOrderIds  *[]string `json:"out_sub_order_ids,omitempty" `

    /*
        备注说明     */
    Memo  *string `json:"memo,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetReasonId(v int64) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.ReasonId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetOutOrderId(v string) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetStoreId(v string) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetRequestId(v string) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.RequestId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetOutSubOrderIds(v []string) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.OutSubOrderIds = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto) SetMemo(v string) *AlibabaTclsAelophyRefundCsapplyRefundCsApplyDto {
    s.Memo = &v
    return s
}
